Subject: [PATCH] ARM: qcom: Enable basic support for Qualcomm platforms in multi_v7_defconfig

From: [email-masked] (Stephen Boyd)
Date: Fri, 28 Feb 2014 10:27:45 -0800

On 02/28, Kevin Hilman wrote:
> Hi Kumar,
> 
> Kevin Hilman <[email-masked]> writes:
> 
> > Kumar Gala <[email-masked]> writes:
> >
> >> Enable support for the MSM8x60, MSM8960, and MSM8974 SoCs, clocks and
> >> serial console as part of the standard multi_v7_defconfig.
> >>
> >> Signed-off-by: Kumar Gala <[email-masked]>
> >> ---
> >>
> >> I leave this to the arm-soc guys to apply because of possible conflicts
> >> with other updates to multi_v7_defconfig.
> >
> > Seem to be a handful of !qcom changes here, probably resulting from a
> > run of 'make savedefconfig' without all the new changes in.
> >
> > I've thinned this out to only the qcom changes and applied the following
> > to next/boards.  I think it's better to do any 'make savedefconfig'
> > cleanups as a separate, cleanup-only patch as needed.
> 
> Bisecting a new boot failure on u8500/snowball came down to this patch.
> Simply disabling CONFIG_ARCH_QCOM in mutli_v7_defconfig gets the
> u8500/snowball booting again, so it looks like there may still be some
> qcom specifics that are being run on non-qcom platforms with a
> multi-platform config.
> 
> Could you audit for initcalls/drivers being initialized on non-qcom
> SoCs?
> 

Can you try disabling CONFIG_ARCH_MSM8X60 and
CONFIG_ARCH_MSM8960? MY suspicion is the text offset movement is
causing problems, but I hope I'm wrong.

-- 
Qualcomm Innovation Center, Inc. is a member of Code Aurora Forum,
hosted by The Linux Foundation